##
##  svgo.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_svgo      3.3.2
%define       V_svgo_snap 20240622

#   package information
Name:         svgo
Summary:      Scalable Vector Graphics (SVG) Optimizer
URL:          https://github.com/svg/svgo
Vendor:       Kir Belevich
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      MIT
Version:      %{V_svgo}
Release:      20240622

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/svgo/svgo-%{V_svgo}-%{V_svgo_snap}.tar.xz
Source1:      svgo.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    SVG files, especially exported from various editors, usually
    contains a lot of redundant and useless information such as editor
    metadata, comments, hidden elements, default or non-optimal values
    and other stuff that can be safely removed or converted without
    affecting SVG rendering result. SVG Optimizer can be used to
    optimize SVG vector graphics files.

%track
    prog svgo = {
        version   = %{version}
        url       = https://github.com/svg/svgo/releases
        regex     = tree/v(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/svgo
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE svgo.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/svgo
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/svgo/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

